Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Enum CrossReferenceResolutionScope

- java.lang.Object
- - java.lang.Enum<CrossReferenceResolutionScope>
  - - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.CrossReferenceResolutionScope

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossReferenceResolutionScope>`

    public enum CrossReferenceResolutionScope
    extends Enum<CrossReferenceResolutionScope>

Defines the scope for the resolution of a file's logical model.

### Enum Constant Summary

Enum Constants
`CONTAINER` Only crawl the container of the file which dependencies we're resolving.
`OUTGOING` Do not try to find files that depend on the file currently being resolved, only check for its own outgoing dependencies.
`PROJECT` Crawls the project containing the file which dependencies we're resolving in order to determine their outgoing dependencies.
`SELF` Do not try and resolve cross-referenced resources for this logical model.
`WORKSPACE` Crawls the whole workspace for model files, loading them as EMF models in order to determine their outgoing dependencies.

### Method Summary

All Methods Static Methods Concrete Methods
`static CrossReferenceResolutionScope` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CrossReferenceResolutionScope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WORKSPACE

    public static final CrossReferenceResolutionScope WORKSPACE

Crawls the whole workspace for model files, loading them as EMF models in order to determine their outgoing dependencies.

#### PROJECT

    public static final CrossReferenceResolutionScope PROJECT

Crawls the project containing the file which dependencies we're resolving in order to determine their outgoing dependencies.

#### CONTAINER

    public static final CrossReferenceResolutionScope CONTAINER

Only crawl the container of the file which dependencies we're resolving.

#### OUTGOING

    public static final CrossReferenceResolutionScope OUTGOING

Do not try to find files that depend on the file currently being resolved, only check for its own outgoing dependencies.

#### SELF

    public static final CrossReferenceResolutionScope SELF

Do not try and resolve cross-referenced resources for this logical model.

### Method Detail

#### values

    public static CrossReferenceResolutionScope[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CrossReferenceResolutionScope c : CrossReferenceResolutionScope.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CrossReferenceResolutionScope valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null